This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v7.0 (older) - Last updated March 5, 2015 - Send Feedback -

## 3.282. __nv_sqrtf

Prototype:

    float @__nv_sqrtf(float %x)

Description:

Calculate the nonnegative square root of `x`, x .

Returns:

Returns x .

- __nv_sqrtf( ± 0 ) returns ± 0 .

- __nv_sqrtf( + ∞ ) returns + ∞ .

- __nv_sqrtf(`x`) returns NaN if `x` is less than 0.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 7.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes